SDL_bmodes.h File Reference
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_bmodes.h:

Go to the source code of this file.

## Functions

int32 | HAIKU_ColorSpaceToBitsPerPixel (uint32 colorspace)
int32 | HAIKU_BPPToSDLPxFormat (int32 bpp)
int | HAIKU_InitModes (_THIS)
int | HAIKU_QuitModes (_THIS)
int | HAIKU_GetDisplayBounds (_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)
void | HAIKU_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | HAIKU_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)

## Function Documentation

## HAIKU_BPPToSDLPxFormat()

int32 HAIKU_BPPToSDLPxFormat | ( | int32 | bpp | ) |

## HAIKU_ColorSpaceToBitsPerPixel()

int32 HAIKU_ColorSpaceToBitsPerPixel | ( | uint32 | colorspace | ) |

## HAIKU_GetDisplayBounds()

int HAIKU_GetDisplayBounds | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_Rect * | rect
| ) |  |

## HAIKU_GetDisplayModes()

void HAIKU_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

## HAIKU_InitModes()

int HAIKU_InitModes | ( | _THIS |  | ) |

## HAIKU_QuitModes()

int HAIKU_QuitModes | ( | _THIS |  | ) |

## HAIKU_SetDisplayMode()

int HAIKU_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |